Skip to main content

GET /snds/aggregated

GET 

snds/aggregated

Retrieve aggregated Microsoft SNDS statistics for monitored IP addresses

Query Parameters

period_from string Required
Start of the time period (e.g., 2021-07-06T00:00:00.000Z)

period_to string Required
End of the time period (e.g., 2021-08-06T00:00:00.000Z). The range between period_from and period_to must not exceed 30 days

Returns

  • dataarray
    • date_timestampstring
      Date of the aggregated data record
    • recipients_greennumber
      Total number of recipients from IPs with a GREEN filter result
    • recipients_yellownumber
      Total number of recipients from IPs with a YELLOW filter result
    • recipients_rednumber
      Total number of recipients from IPs with a RED filter result
    • filter_result_greennumber
      Number of IPs with a GREEN filter result
    • filter_result_yellownumber
      Number of IPs with a YELLOW filter result
    • filter_result_rednumber
      Number of IPs with a RED filter result
    • bouncenumber
      Total number of bounced messages
    • bounce_ratenumber
      Average ratio of bounced messages to total messages sent
    • complaint_ratenumber
      Average ratio of spam complaints to total messages delivered
    • trap_hitsnumber
      Total number of spam trap hits
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error